# 基础镜像
FROM  openjdk:8-jre
# author
MAINTAINER qiuguo

# 挂载目录
VOLUME /home/qiuguo
# 创建目录
RUN mkdir -p /home/qiuguo
# 指定路径
WORKDIR /home/qiuguo
# 复制jar文件到路径
COPY ./jar/iot-gateway.jar /home/qiuguo/iot-gateway.jar
# 启动网关服务
#ENTRYPOINT ["java","-jar","iot-gateway.jar"]
CMD ["sh","-c", "java  -jar iot-gateway.jar --spring.profiles.active=test"]